## qca2-plugin-ossl 2.0.0~beta3

=== CMakeLists.txt ===
# QCA OSSL

SET(QCA_OSSL_SOURCES qca-ossl.cpp)

MY_AUTOMOC( QCA_OSSL_SOURCES )

ADD_LIBRARY(qca-ossl SHARED ${QCA_OSSL_SOURCES})
INCLUDE_DIRECTORIES(${OPENSSL_INCLUDE_DIR})
TARGET_LINK_LIBRARIES(qca-ossl ${QT_QTCORE_LIBRARY})
TARGET_LINK_LIBRARIES(qca-ossl qca)
TARGET_LINK_LIBRARIES(qca-ossl ${OPENSSL_LIBRARIES})
if(APPLE)
TARGET_LINK_LIBRARIES(qca-ossl crypto)
endif(APPLE)
IF (WIN32)
  ADD_DEFINITIONS(-DOSSL_097)
  TARGET_LINK_LIBRARIES(qca-ossl gdi32)
  TARGET_LINK_LIBRARIES(qca-ossl wsock32)
  TARGET_LINK_LIBRARIES(qca-ossl ${OPENSSL_EAY_LIBRARIES})
ENDIF (WIN32)

INSTALL(TARGETS qca-ossl LIBRARY DESTINATION ${qca_PLUGINSDIR})

=== debian/changelog ===
qca2-plugin-ossl (2.0.0~beta3-2) unstable; urgency=low

  * Team upload.

  [ Felix Geyer ]
  * Don't export build flags since pkg-kde-tools (and dpkg-buildpackage in
    the past) takes care of that.
  * Pass $CPPFLAGS and $LDFLAGS to the build system.
  * Mark package as Multi-Arch: same and build-depend on libqt4-dev >= 4:4.8.0~.

  [ Modestas Vainius ]
  * Add myself to Uploaders.
  * Bump Standards-Version to 3.9.3: no changes needed.
  * Backport random password generation support.
    Patch: backport_r820011_random_support.diff

 -- Modestas Vainius <modax@debian.org>  Sun, 24 Jun 2012 20:09:27 +0300

qca2-plugin-ossl (2.0.0~beta3-1) unstable; urgency=low

  * New upstream release.
    - Supports the pbkdf2(sha1) algorithm. (Closes: #514880; LP: #382691)

  [ Matthew Rosewarne ]
  * Tweak package description.
  * Add Homepage: to control.
  * Add watch file.

  [ Felix Geyer ]
  * Switch to source format 3.0 (quilt).
    - Turn changes from the last revision into a proper patch:
      remove_whirlpool_algo.diff
  * Switch debian/rules engine to dhmk.
  * Enable support for MD2 only when available in OpenSSL. (Closes: #622017)
    - Add detect_md2_available.diff
  * Enable support for SSL2 only when available in OpenSSL.
    - Add detect_ssl2_available.diff
  * Don't install the TODO file.
  * Drop libqca2-plugin-ossl.install as we only build a single binary package.
  * Switch to debhelper compat level 7.
  * Bump Standards-Version to 3.9.2, no changes needed.
  * Add myself to uploaders.
  * Fix lintian warning copyright-with-old-dh-make-debian-copyright.
  * Add Vcs-* fields.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 30 May 2011 11:41:07 +0300

qca2-plugin-ossl (0.1~20070904-4) unstable; urgency=low

  * Fix compilation with OpenSSL >= 0.9.8i (Closes: Bug#533970)
    (Upstream patch downloaded from
     http://websvn.kde.org/trunk/kdesupport/qca/plugins/qca-ossl/qca-ossl.cpp?r1=848615&r2=864423&view=patch)

 -- Jan Niehusmann <jan@debian.org>  Sun, 21 Jun 2009 20:02:15 +0200

qca2-plugin-ossl (0.1~20070904-3) unstable; urgency=low

  * Upload to unstable

 -- Jan Niehusmann <jan@debian.org>  Sat, 27 Oct 2007 19:05:31 +0200

qca2-plugin-ossl (0.1~20070904-2) experimental; urgency=low

  * Use qmake.mk instead of makefile.mk (Closes: Bug#445942)

 -- Jan Niehusmann <jan@debian.org>  Tue, 09 Oct 2007 18:58:36 +0200

qca2-plugin-ossl (0.1~20070904-1) experimental; urgency=low

  * New upstream release

 -- Jan Niehusmann <jan@debian.org>  Sun, 07 Oct 2007 15:29:06 +0200

qca2-plugin-ossl (0.1~20070706-1) experimental; urgency=low

  * Initial release
  * Closes: Bug#435693

 -- Jan Niehusmann <jan@debian.org>  Mon, 06 Aug 2007 11:40:02 +0200

=== debian/control ===
Source: qca2-plugin-ossl
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Jan Niehusmann <jan@debian.org>, Felix Geyer <debfx-pkg@fobos.de>, Modestas Vainius <modax@debian.org>
Build-Depends: debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 libqca2-dev (>= 2.0.0), libqt4-dev (>= 4:4.8.0~), libssl-dev
Standards-Version: 3.9.3
Homepage: http://delta.affinix.com/qca/
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-std/qca2-plugin-ossl.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-std/qca2-plugin-ossl.git

Package: libqca2-plugin-ossl
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: SSL/TLS support for the Qt Cryptographic Architecture
 The Qt Cryptographic Architecture (QCA) provides a straightforward and cross-
 platform API for a range of cryptographic features, including SSL/TLS,
 X.509 certificates, SASL, OpenPGP, S/MIME CMS, and smart cards.
 .
 This plugin provides support for SSL and TLS using the OpenSSL library.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

dh += --buildsystem=qmake

override_dh_auto_configure:
	./configure --verbose --qtdir=/usr/share/qt4 --debug --no-separate-debug-info
	echo QMAKE_CFLAGS_DEBUG="$(CFLAGS) $(CPPFLAGS)" >> conf.pri
	echo QMAKE_CXXFLAGS_DEBUG="$(CXXFLAGS) $(CPPFLAGS)" >> conf.pri
	echo QMAKE_LFLAGS_DEBUG="$(LDFLAGS)" >> conf.pri
	qmake-qt4

override_dh_clean:
	$(overridden_command)
	rm -rf conf.log conf.pri conf.pri.tmp lib/

=== debian/watch ===
version=3

opts=uversionmangle=s/-/~/ \
http://delta.affinix.com/download/qca/2.0/plugins/qca-ossl-(.*).tar\.bz2
